OGRE: Ogre::UserObjectBindings Class Reference - OGRE Documentation

Classes | Public Member Functions | Static Public Member Functions | Protected Types | Private Attributes | Static Private Attributes

# Ogre::UserObjectBindings Class Reference
[Scene]

Class that provide convenient interface to establish a linkage between custom user application objects and Ogre core classes. More...

`#include <OgreUserObjectBindings.h>`

Inheritance diagram for Ogre::UserObjectBindings:
[legend]

List of all members.

## Classes
class | Attributes
| Internal class that uses as data storage container. More...
## Public Member Functions
| UserObjectBindings ()
| Class constructor.
virtual | ~UserObjectBindings ()
| Class destructor.
void | setUserAny (const Any &anything)
| Sets any kind of user object on this class instance.
const Any & | getUserAny (void) const
| Retrieves the custom key less user object associated with this class.
void | setUserAny (const String &key, const Any &anything)
| Sets any kind of user object on this class instance.
const Any & | getUserAny (const String &key) const
| Retrieves the custom user object associated with this class and key.
void | eraseUserAny (const String &key)
| Erase the custom user object associated with this class and key from this binding.
void | clear () const
| Clear all user objects from this binding.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Member Functions
static const Any & | getEmptyUserAny ()
| Returns empty user any object.
## Protected Types
typedef map< String, Any >::type | UserObjectsMap
typedef UserObjectsMap::iterator | UserObjectsMapIterator
typedef UserObjectsMap::const_iterator | UserObjectsMapConstIterator
## Private Attributes
Attributes * | mAttributes
## Static Private Attributes
static Any | msEmptyAny

## Detailed Description

Class that provide convenient interface to establish a linkage between custom user application objects and Ogre core classes.

Any instance of Ogre class that will derive from this class could be associated with custom application object using this class interface.

Definition at line 48 of file OgreUserObjectBindings.h.

## Member Typedef Documentation

typedef map<String, Any>::type Ogre::UserObjectBindings::UserObjectsMap`[protected]`

Definition at line 103 of file OgreUserObjectBindings.h.

typedef UserObjectsMap::const_iterator Ogre::UserObjectBindings::UserObjectsMapConstIterator`[protected]`

Definition at line 105 of file OgreUserObjectBindings.h.

typedef UserObjectsMap::iterator Ogre::UserObjectBindings::UserObjectsMapIterator`[protected]`

Definition at line 104 of file OgreUserObjectBindings.h.

## Constructor & Destructor Documentation

Ogre::UserObjectBindings::UserObjectBindings | ( |  | ) |

Class constructor.

virtual Ogre::UserObjectBindings::~UserObjectBindings | ( |  | ) | `[virtual]`

Class destructor.

## Member Function Documentation

void Ogre::UserObjectBindings::clear | ( |  | ) | const

Clear all user objects from this binding.

void Ogre::UserObjectBindings::eraseUserAny | ( | const String & | key | ) |

Erase the custom user object associated with this class and key from this binding.

Parameters:

  | key | The key that the requested user object is associated with.

static const Any& Ogre::UserObjectBindings::getEmptyUserAny | ( |  | ) | `[static]`

Returns empty user any object.

Definition at line 99 of file OgreUserObjectBindings.h.

const Any& Ogre::UserObjectBindings::getUserAny | ( | void |  | ) | const

Retrieves the custom key less user object associated with this class.

const Any& Ogre::UserObjectBindings::getUserAny | ( | const String & | key | ) | const

Retrieves the custom user object associated with this class and key.

Parameters:

  | key | The key that the requested user object is associated with.

Remarks:
  In case no object associated with this key the returned Any object will be empty.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::UserObjectBindings::setUserAny | ( | const Any & | anything | ) |

Sets any kind of user object on this class instance.

Remarks:
  This method allows you to associate any user object you like with this class. This can be a pointer back to one of your own classes for instance.

Note:
  This method is key less meaning that each call for it will override previous object that were set. If you need to associate multiple objects with this class use the extended version that takes key.

void Ogre::UserObjectBindings::setUserAny | ( | const String & | key,
|  | const Any & | anything |
| ) |  |  |

Sets any kind of user object on this class instance.

Remarks:
  This method allows you to associate multiple object with this class. This can be a pointer back to one of your own classes for instance. Use a unique key to distinguish between each of these objects.

Parameters:

  | key | The key that this data is associate with.
  | anything | The data to associate with the given key.

## Member Data Documentation

Attributes* Ogre::UserObjectBindings::mAttributes`[mutable, private]`

Definition at line 132 of file OgreUserObjectBindings.h.

Any Ogre::UserObjectBindings::msEmptyAny`[static, private]`

Definition at line 131 of file OgreUserObjectBindings.h.

The documentation for this class was generated from the following file:

- OgreUserObjectBindings.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:03